Subject: Re: [PATCH net 1/1] net: Fix return value of qdisc ingress handling on success

From: Jakub Kicinski <[email-masked]>
Date: Thu, 22 Sep 2022 08:23:49 -0700

On Thu, 22 Sep 2022 16:47:14 +0200 Daniel Borkmann wrote:
> >> Looks reasonable and aligns with sch_handle_egress() fwiw. I think your Fixes tag is wrong
> >> since that commit didn't modify any of the above. This patch should also rather go to net-next
> >> tree to make sure it has enough soak time to catch potential regressions from this change in
> >> behavior.  
> > 
> > I don't think we do "soak time" in networking. Perhaps we can try
> > to use the "CC: stable # after 4 weeks" delay mechanism which Greg
> > promised at LPC?  
> 
> Isn't that implicit? If the commit has Fixes tag and lands in net-next, stable team
> anyway automatically pulls it once everything lands in Linus' tree via merge win and
> then does the backporting for stable.

What I meant is we don't merge fixes into net-next directly.
Perhaps that's my personal view, not shared by other netdev maintainers.

To me the 8 rc release process is fairly arbitrary timing wise.
The fixes continue flowing in after Linus cuts final, plus only 
after a few stable releases the kernel makes it to a wide audience.

Putting a fix in -next gives us anywhere between 0 and 8 weeks of delay.
Explicit delay on the tag seems much more precise and independent of
where we are in the release cycle.

The cases where we put something in -next, later it becomes urgent 
and we can't get it to stable stand out in my memory much more than
problems introduced late in the rc cycle.